Subject: Mercurial over Git no success

From: [email-masked]
Date: Mon, 14 Feb 2011 15:01:45 -0600 (CST)

Hello Gitters, long ago when first starting the project I'm currently running at my company I looked around for a VCS/SCM that would be anywhere better than: CVS/SVN. At first I looked at Git but could not get a version to run on my Ubuntu box. So, I had to settle for Hg. Now, that I'm several months into the web app dev I'm responsible for the hired help has convinced me to switch to Git. Now, I'm back at the same old problem I had months ago that forced me to give up on using Git. Unlike a lot of Unix/Linux based software the usual:

./configure
make
make install

Does not work for building Git on my local Ubuntu box (10.10 BTW). Some non-innocuous error condition as follows:

cannot find zlib.h

Pls advise. David.